# 涂鸦平台 - 天气查询案例
## 项目说明
本项目调用tuya平台地址解析及天气接口实现，每月赠送三万次免费API额度，是学习和开发者的优质选择。
运行项目时需要先替换tool.js中的clientId和secret，然后即可使用。
## 资源文件
### 1. 签名计算相关文件
- core-min.js:CryptoJS的核心文件
- hmac-min.js:HMAC算法组件
- sha256-min.js:sha256算法组件

### 2. 第三方库文件
- jquery-3.6.0.min.js:jQuery库文件
- echarts.min.js:Echarts基本图表库文件

## 核心文件
### 1. tool.js
签名计算工具，常用参数已经使用全局变量定义，可以根据需要自行修改。
### 2. index.js
案例核心功能代码。
### 3. index.html
案例首页，请不要用浏览器方式直接打开，使用HBuilder或者部署到容器后访问。
## 博客&文章
- 博客地址：[一头小山猪](https://sandtower.blog.csdn.net/)
- 文章地址：[免费好用的天气服务 - Tuya](https://sandtower.blog.csdn.net/article/details/121947992)